Bug 1317336 - Review Request: erlang-p1_oauth2 - An Oauth2 implementation for Erlang
Review Request: erlang-p1_oauth2 - An Oauth2 implementation for Erlang
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Cline
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1312517
  Show dependency treegraph
 
Reported: 2016-03-13 22:51 EDT by Randy Barlow
Modified: 2016-03-21 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: erlang-p1_oauth2-0.6.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-21 11:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jeremy: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Randy Barlow 2016-03-13 22:51:46 EDT
Spec URL: https://rbarlow.fedorapeople.org/erlang-p1_oauth2.spec
SRPM URL: https://rbarlow.fedorapeople.org/erlang-p1_oauth2-0.6.1-1.fc25.src.rpm
Description: This library is designed to simplify the implementation of the server side of OAuth2. It is a fork of erlang-oauth2 by processone, and is needed by ejabberd.
Fedora Account System Username: rbarlow

The lint warnings and errors are not of concern, as it is typical for Erlang applications:

erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US processone -> process one, process-one, procession
erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_oauth2.x86_64: E: no-binary
erlang-p1_oauth2.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
Comment 1 Jeremy Cline 2016-03-19 13:24:11 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/jcline/devel
     /fedora-packaging/1317336-erlang-p1_oauth2/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: erlang-p1_oauth2-0.6.1-1.fc24.x86_64.rpm
          erlang-p1_oauth2-0.6.1-1.fc24.src.rpm
erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US processone -> process one, process-one, procession
erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_oauth2.x86_64: E: no-binary
erlang-p1_oauth2.x86_64: W: only-non-binary-in-usr-lib
erlang-p1_oauth2.src: W: spelling-error %description -l en_US processone -> process one, process-one, procession
erlang-p1_oauth2.src: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
2 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US processone -> process one, process-one, procession
erlang-p1_oauth2.x86_64: W: spelling-error %description -l en_US ejabberd -> jabbered, jabberer, jabber
erlang-p1_oauth2.x86_64: E: no-binary
erlang-p1_oauth2.x86_64: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 3 warnings.



Requires
--------
erlang-p1_oauth2 (rpmlib, GLIBC filtered):
    erlang-crypto(x86-64)
    erlang-erts(x86-64)
    erlang-kernel(x86-64)
    erlang-stdlib(x86-64)



Provides
--------
erlang-p1_oauth2:
    erlang-p1_oauth2
    erlang-p1_oauth2(x86-64)



Source checksums
----------------
https://github.com/processone/p1_oauth2/archive/0.6.1.tar.gz :
  CHECKSUM(SHA256) this package     : 86e4d93f0206135bc6017b6001d061305513917f79c53294e534d6e66fd54727
  CHECKSUM(SHA256) upstream package : 86e4d93f0206135bc6017b6001d061305513917f79c53294e534d6e66fd54727


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1317336
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Note You need to log in before you can comment on or make changes to this bug.